# SigMT: An open-source python package for magnetotelluric data processing

**NOTE:** A major update to version 2, which includes a graphical user interface (GUI), will be released in a few days (in September 2024). Please stay tuned for updates to this repository.
##
SigMT is a python package designed for the processing of the raw magnetotelluric (MT) data to obtain the MT impedance and tipper estimates. It works in an automated way, so that manual time series inspection and editing are not required. Mahalanobis based data selection tool is implemented in the package to avoid the manual editing of time series. The final impedance estimation is done using the robust estimation method. Different data selection tools such as coherency threshold, polarization direction are included in this package.

## How to cite
If you use SigMT for publication, please cite the following paper:

Ajithabh, K.S., Patro, P.K., 2023. SigMT: An open-source Python package for magnetotelluric data processing. Computers & Geosciences, 171, 105270. https://doi.org/10.1016/j.cageo.2022.105270


## Downloads
* Read user guide: https://github.com/ajithabhks/sigmt/blob/main/docs/user_guide_sigmt.ipynb

## Contact details
* K. S. Ajithabh

  `Email:` ajithabhks@gmail.com


